## dateparser 0.7.0

=== requirements.txt ===
convertdate==2.0.8
jdatetime==1.8.1
python-dateutil==2.6.0
pytz==2016.10
regex==2016.11.21
tzlocal==1.3
umalqurra==0.2

=== debian/changelog ===
dateparser (0.7.0-2) unstable; urgency=medium

  * add missing watch file

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 01 Feb 2019 14:43:56 -0500

dateparser (0.7.0-1) unstable; urgency=low

  [ David Bremner ]
  * Initial release. Closes: #907337

  [ Antoine Beaupré ]
  * take over maintainership, with DPMT
  * add copyright file
  * fix lintian warnings
  * disable tests during build, which fail
  * add missing build deps
  * add gbp config
  * switch to debhelper-compat

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 14 Jan 2019 18:36:23 -0500

=== debian/control ===
Source: dateparser
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-dateutil,
               python3-regex,
               python3-setuptools,
               python3-tz,
               python3-tzlocal,
Standards-Version: 4.3.0.1
Homepage: https://github.com/scrapinghub/dateparser
Vcs-Git: https://salsa.debian.org/python-team/modules/dateparser.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/dateparser

Package: python3-dateparser
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: python parser for human readable dates
 dateparser provides modules to easily parse localized dates in almost
 any string formats commonly found on web pages.
 .
  * Generic parsing of dates in over 200 language locales plus
    numerous formats in a language agnostic fashion.
  * Generic parsing of relative dates like: '1 min ago', '2 weeks
    ago', '3 months, 1 week and 1 day ago', 'in 2 days', 'tomorrow'.
  * Generic parsing of dates with time zones abbreviations or UTC
    offsets like: 'August 14, 2015 EST', 'July 4, 2013 PST', '21 July
    2013 10:15 pm +0500'.  
  * Date lookup in longer texts.
  * Support for non-Gregorian calendar systems.  
  * Extensive test coverage.

=== debian/rules ===
#!/usr/bin/make -f

PYBUILD_NAME=dateparser
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	@echo "W: tests skipped because they fail with newer dependencies, see debian/tests/control for details"

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

## dateparser 0.7.1

=== scripts/requirements.txt ===
gitpython
orderedset
regex
ruamel.yaml
six

=== debian/changelog ===
dateparser (0.7.1-1) unstable; urgency=medium

  * new upstream release
  * re-enable test suite during build, now that upstream fixed their
    dependencies. required a patch because of a missing dependency
    (convertdate). we should still use the upstream test suite with `tox`
    but that will make more sense when our patch is gone. because of the
    freeze, the dependency cannot be shipped in buster so this will live
    on for a while.

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 14 Feb 2019 13:00:30 -0500

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,16 @@
 Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               locales-all,
                python3-all,
+               python3-coverage,
                python3-dateutil,
+               python3-mock,
+               python3-nose,
+               python3-parameterized,
                python3-regex,
                python3-setuptools,
+               python3-six,
                python3-tz,
                python3-tzlocal,
 Standards-Version: 4.3.0.1

=== debian/tests/control ===
# this could be done with `tox`, but it fails to correctly upgrade the
# requirements which makes the build fail. this was reported as a bug
# upstream in <https://github.com/scrapinghub/dateparser/issues/489>.
#
# some dependencies are also not available in debian, specifically the
# `extra_requires` which are also present in requirements.txt (except
# the ruamel.yaml package), so we need to install those with pip.
Test-command: pip3 install -U -rrequirements.txt -rtests/requirements.txt ; nosetests3 tests
Depends: @,
         build-essential,
         locales-all,
         python3-coverage,
         python3-dev,
         python3-ephem,
         python3-mock,
         python3-nose,
         python3-parameterized,
         python3-pbr,
         python3-pip,
         python3-wheel,
Restrictions: allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/scrapinghub/dateparser/tags .*/archive/v?((?:\d+\.?)*)\.tar\.gz

## dateparser 0.7.2

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean
SHELL := /bin/bash

help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint:
	flake8 dateparser tests --config=./flake8

test:
	python setup.py test

test-all:
	tox

coverage:
	coverage run --source dateparser setup.py test
	coverage report -m
	coverage html
	python -m webbrowser htmlcov/index.html

docs:
	rm -f docs/dateparser.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ dateparser
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	python -m webbrowser docs/_build/html/index.html

release: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

=== requirements.txt ===
convertdate==2.1.3
jdatetime==3.1.0
python-dateutil==2.7.5
pytz==2018.9
regex==2019.01.24
tzlocal==1.5.1
umalqurra==0.2

=== tests/requirements.txt ===
mock
nose
parameterized
six
coverage

=== debian/changelog ===
dateparser (0.7.2-2) unstable; urgency=medium

  * Team upload.
  * Revise autopkgtest to use only packages from the archive to run tests
    (drop pip usage) (Closes: #954147)
  * Run autopkgtest for all supported python3 versions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 Mar 2020 03:19:41 -0400

dateparser (0.7.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces.

  [ Andrey Rahmatullin ]
  * Add myself to Uploaders.

  [ Antoine Beaupré ]
  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 27 Oct 2019 16:08:01 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Antoine Beaupré <anarcat@debian.org>
+Uploaders: Antoine Beaupré <anarcat@debian.org>,
+ Andrey Rahmatullin <wrar@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                locales-all,
@@ -35,7 +36,7 @@
     ago', '3 months, 1 week and 1 day ago', 'in 2 days', 'tomorrow'.
   * Generic parsing of dates with time zones abbreviations or UTC
     offsets like: 'August 14, 2015 EST', 'July 4, 2013 PST', '21 July
-    2013 10:15 pm +0500'.  
+    2013 10:15 pm +0500'.
   * Date lookup in longer texts.
-  * Support for non-Gregorian calendar systems.  
+  * Support for non-Gregorian calendar systems.
   * Extensive test coverage.

=== debian/rules ===
#!/usr/bin/make -f

PYBUILD_NAME=dateparser
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

=== debian/tests/control ===
# this could be done with `tox`, but it fails to correctly upgrade the
# requirements which makes the build fail. this was reported as a bug
# upstream in <https://github.com/scrapinghub/dateparser/issues/489>.
Tests: run-nosetests
Depends: @,
         build-essential,
         locales-all,
         python3-all,
         python3-convertdate,
         python3-coverage,
         python3-mock,
         python3-nose,
         python3-parameterized,
         python3-six,
Restrictions: allow-stderr

## dateparser 0.7.4

=== tests/requirements.txt ===
mock
nose
parameterized
six
coverage
flake8

=== debian/changelog ===
dateparser (0.7.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Antoine Beaupré ]
  * New upstream release
  * Add Recommends on python3-convertdate (Closes: #954909)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 10 May 2020 23:06:03 -0400

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Package: python3-dateparser
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: python3-convertdate
 Description: python parser for human readable dates
  dateparser provides modules to easily parse localized dates in almost
  any string formats commonly found on web pages.

## dateparser 1.0.0

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,7 @@
 	@echo "clean-pyc - remove Python file artifacts"
 	@echo "clean-test - remove test and coverage artifacts"
 	@echo "lint - check style with flake8"
-	@echo "test - run tests quickly with the default Python"
-	@echo "test-all - run tests on every Python version with tox"
+	@echo "test - run tests on every Python version with tox"
 	@echo "coverage - check code coverage quickly with the default Python"
 	@echo "docs - generate Sphinx HTML documentation, including API docs"
 	@echo "release - package and upload a release"
@@ -36,9 +35,6 @@
 	flake8 dateparser tests --config=./flake8
 
 test:
-	python setup.py test
-
-test-all:
 	tox
 
 coverage:

=== dateparser_scripts/requirements.txt ===
gitpython
orderedset
ruamel.yaml

=== debian/changelog ===
dateparser (1.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Antoine Beaupré ]
  * new upstream release (Closes: #954907)
  * remove patch disabling convertdate support in tests, convertdate is in
    Debian now. all Debian-specific patches gone.

  [ Stefano Rivera ]
  * Patch: Skip hijri tests, the converter isn't in Debian yet.
  * Patch: Don't git clone unicode CLDR data.
  * Run autopkgtests with pytest, following upstream.
  * Run autopkgtests in $AUTOPKGTEST_TMP to be sure we're testing the
    installed module.
  * Don't install dateparser_scripts into the binary package, these are used
    at build time only.
  * Declare Rules-Requires-Root: no.
  * Bump watch file format to 4.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 09 Feb 2021 00:17:09 -0800

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: dateparser
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>,
  Andrey Rahmatullin <wrar@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                locales-all,
                python3-all,
+               python3-convertdate,
                python3-coverage,
                python3-dateutil,
                python3-mock,
                python3-nose,
                python3-parameterized,
+               python3-pytest,
+               python3-ruamel.yaml,
                python3-regex,
                python3-setuptools,
                python3-six,
                python3-tz,
                python3-tzlocal,
-Standards-Version: 4.3.0.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/scrapinghub/dateparser
-Vcs-Git: https://salsa.debian.org/python-team/modules/dateparser.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/dateparser
+Vcs-Git: https://salsa.debian.org/python-team/packages/dateparser.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/dateparser
+Rules-Requires-Root: no
 
 Package: python3-dateparser
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dateparser
export PYBUILD_BEFORE_TEST=cp -r {dir}/dateparser_data/ {build_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_auto_test:
	dh_auto_test -O--buildsystem=pybuild -- --test-args "tests -k 'not test_dateparser_data_integrity'"

override_dh_auto_install:
	dh_auto_install
	rm -r debian/python3-dateparser/usr/lib/python3.*/dist-packages/dateparser_scripts/

=== debian/tests/control ===
# this could be done with `tox`, but it fails to correctly upgrade the
# requirements which makes the build fail. this was reported as a bug
# upstream in <https://github.com/scrapinghub/dateparser/issues/489>.
Tests: run-unittests
Depends: @,
         build-essential,
         locales-all,
         python3-all,
         python3-convertdate,
         python3-coverage,
         python3-mock,
         python3-nose,
         python3-parameterized,
         python3-pytest,
         python3-six,
         python3-ruamel.yaml,
Restrictions: allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

https://github.com/scrapinghub/dateparser/tags .*/archive/v?((?:\d+\.?)*)\.tar\.gz

## dateparser 1.1.0

=== dateparser_scripts/requirements.txt ===
gitpython
ruamel.yaml

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dateparser.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dateparser.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dateparser"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dateparser"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== tests/requirements.txt ===
flake8
parameterized
pytest
pytest-cov

=== debian/changelog ===
dateparser (1.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Name in debian/copyright.

  [ Andrey Rahmatullin ]
  * New upstream version.
  * Fix debian/watch.
  * Add python3-fasttext and python3-langdetect to B-D and autopkgtest deps.
  * Add python3-fasttext and python3-langdetect to Suggests.
  * Disable fasttext tests as they require its models.
  * Bump Standards-Version to 4.6.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 04 Dec 2021 13:16:26 +0500

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>,
  Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                locales-all,
                python3-all,
                python3-convertdate,
                python3-coverage,
                python3-dateutil,
+               python3-fasttext,
+               python3-langdetect,
                python3-mock,
                python3-nose,
                python3-parameterized,
@@ -21,7 +23,7 @@
                python3-six,
                python3-tz,
                python3-tzlocal,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/scrapinghub/dateparser
 Vcs-Git: https://salsa.debian.org/python-team/packages/dateparser.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dateparser
@@ -31,7 +33,8 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: python3-convertdate
-Description: python parser for human readable dates
+Suggests: python3-fasttext, python3-langdetect
+Description: Python parser for human readable dates
  dateparser provides modules to easily parse localized dates in almost
  any string formats commonly found on web pages.
  .

=== debian/tests/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
          python3-all,
          python3-convertdate,
          python3-coverage,
+         python3-fasttext,
+         python3-langdetect,
          python3-mock,
          python3-nose,
          python3-parameterized,

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

https://github.com/scrapinghub/dateparser/tags .*/archive/refs/tags/v?((?:\d+\.?)*)\.tar\.gz

## dateparser 1.1.1

=== debian/changelog ===
dateparser (1.1.1-2) unstable; urgency=medium

  * Remove python3-nose from B-D and autopkgtest deps (no longer used).

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 25 Aug 2022 23:08:59 +0500

dateparser (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.1.
  * debian/control: Limit highest version allowed for python3-regex.
    This should be fixed in a future dateparser release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Jul 2022 17:16:41 -0400

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                python3-fasttext,
                python3-langdetect,
                python3-mock,
-               python3-nose,
                python3-parameterized,
                python3-pytest,
                python3-ruamel.yaml,
-               python3-regex,
+# upstream issue 1046
+               python3-regex (<< 0.1.20220315),
                python3-setuptools,
                python3-six,
                python3-tz,
@@ -31,7 +31,11 @@
 
 Package: python3-dateparser
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+# upstream issue 1046
+ python3-regex (<< 0.1.20220315),
 Recommends: python3-convertdate
 Suggests: python3-fasttext, python3-langdetect
 Description: Python parser for human readable dates

=== debian/tests/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
          python3-fasttext,
          python3-langdetect,
          python3-mock,
-         python3-nose,
          python3-parameterized,
          python3-pytest,
          python3-six,

## dateparser 1.1.2

=== debian/changelog ===
dateparser (1.1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Andrey Rahmatullin ]
  * New upstream version.
  * Add python3-parsel and python3-requests to B-D and autopkgtest deps.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 23 Oct 2022 16:59:17 +0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,9 @@
                python3-langdetect,
                python3-mock,
                python3-parameterized,
+               python3-parsel <!nocheck>,
                python3-pytest,
+               python3-requests <!nocheck>,
                python3-ruamel.yaml,
 # upstream issue 1046
                python3-regex (<< 0.1.20220315),
@@ -23,7 +25,7 @@
                python3-six,
                python3-tz,
                python3-tzlocal,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/scrapinghub/dateparser
 Vcs-Git: https://salsa.debian.org/python-team/packages/dateparser.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dateparser

## dateparser 1.1.5

=== debian/changelog ===
dateparser (1.1.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1027615)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 01 Jan 2023 22:04:05 -0500

## dateparser 1.1.6

=== debian/changelog ===
dateparser (1.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 Jan 2023 15:49:46 -0500

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,7 @@
                python3-pytest,
                python3-requests <!nocheck>,
                python3-ruamel.yaml,
-# upstream issue 1046
-               python3-regex (<< 0.1.20220315),
+               python3-regex,
                python3-setuptools,
                python3-six,
                python3-tz,
@@ -36,8 +35,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
-# upstream issue 1046
- python3-regex (<< 0.1.20220315),
 Recommends: python3-convertdate
 Suggests: python3-fasttext, python3-langdetect
 Description: Python parser for human readable dates

=== debian/tests/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
          python3-langdetect,
          python3-mock,
          python3-parameterized,
+         python3-parsel,
          python3-pytest,
+         python3-requests,
          python3-six,
          python3-ruamel.yaml,
 Restrictions: allow-stderr

## dateparser 1.2.0

=== dateparser_scripts/requirements.txt ===
gitpython
parsel
requests
ruamel.yaml

=== fuzzing/requirements.txt ===
atheris

=== debian/changelog ===
dateparser (1.2.0-3) unstable; urgency=medium

  * Team Upload
  * Remove extraneous dependencies on python3-mock & python3-six

 -- Alexandre Detiste <tchet@debian.org>  Mon, 15 Jan 2024 23:39:01 +0100

dateparser (1.2.0-2) unstable; urgency=medium

  * Fix tests on 32-bit platforms (Closes: #1058744).

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 19 Dec 2023 22:38:06 +0400

dateparser (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 14 Dec 2023 23:25:56 +0400

dateparser (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Add B-D: tzdata-legacy as the testsuite needs US/Arizona.
  * Bump Standards-Version to 4.6.2.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 11 Sep 2023 23:52:41 +0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>,
- Andrey Rahmatullin <wrar@debian.org>
+ Andrey Rakhmatullin <wrar@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                locales-all,
@@ -13,7 +13,6 @@
                python3-dateutil,
                python3-fasttext,
                python3-langdetect,
-               python3-mock,
                python3-parameterized,
                python3-parsel <!nocheck>,
                python3-pytest,
@@ -21,10 +20,10 @@
                python3-ruamel.yaml,
                python3-regex,
                python3-setuptools,
-               python3-six,
                python3-tz,
                python3-tzlocal,
-Standards-Version: 4.6.1
+               tzdata-legacy <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/scrapinghub/dateparser
 Vcs-Git: https://salsa.debian.org/python-team/packages/dateparser.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dateparser

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh_installchangelogs HISTORY.rst
 
 override_dh_auto_test:
-	dh_auto_test -O--buildsystem=pybuild -- --test-args "tests -k 'not test_dateparser_data_integrity'"
+	dh_auto_test -O--buildsystem=pybuild -- --test-args "tests -k 'not test_dateparser_data_integrity and not test_custom_language_detect_fast_text'"
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
--- 
+++ 
@@ -10,11 +10,10 @@
          python3-coverage,
          python3-fasttext,
          python3-langdetect,
-         python3-mock,
          python3-parameterized,
          python3-parsel,
          python3-pytest,
          python3-requests,
-         python3-six,
          python3-ruamel.yaml,
+         tzdata-legacy,
 Restrictions: allow-stderr

## dateparser 1.2.1

=== docs/requirements.txt ===
sphinx==7.2.6
sphinx-rtd-theme==1.3.0

=== debian/changelog ===
dateparser (1.2.1-1) unstable; urgency=medium

  * new upstream release
  * remove two patches merged upstream

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 14 Apr 2025 12:30:31 -0400

dateparser (1.2.0-4) unstable; urgency=medium

  * Team Upload

  [ Andrey Rakhmatullin ]
  * Simplify d/rules overrides.
  * Annotate build-deps with !nocheck.
  * Switch to dh-sequence-python3.

  [ Rebecca N. Palmer ]
  * Tests: stop passing non-constant pytz.timezone
    directly to datetime (Closes: #1084246)
  * Reproducibility: build and test with TZ=UTC.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 22 Oct 2024 00:58:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Antoine Beaupré <anarcat@debian.org>,
  Andrey Rakhmatullin <wrar@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               locales-all,
+               dh-sequence-python3,
+               locales-all <!nocheck>,
                python3-all,
-               python3-convertdate,
-               python3-coverage,
-               python3-dateutil,
-               python3-fasttext,
-               python3-langdetect,
-               python3-parameterized,
+               python3-convertdate <!nocheck>,
+               python3-coverage <!nocheck>,
+               python3-dateutil <!nocheck>,
+               python3-fasttext <!nocheck>,
+               python3-langdetect <!nocheck>,
+               python3-parameterized <!nocheck>,
                python3-parsel <!nocheck>,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
-               python3-ruamel.yaml,
-               python3-regex,
+               python3-ruamel.yaml <!nocheck>,
+               python3-regex <!nocheck>,
                python3-setuptools,
-               python3-tz,
-               python3-tzlocal,
+               python3-tz <!nocheck>,
+               python3-tzlocal <!nocheck>,
                tzdata-legacy <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/scrapinghub/dateparser

## dateparser 1.2.2

=== debian/changelog ===
dateparser (1.2.2-2) unstable; urgency=medium

  * Add myself to uploaders
  * Defuse timebomb in tests (Closes: #1126199)
  * Disable useless Salsa CI jobs
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Sun, 25 Jan 2026 14:08:18 +0100

dateparser (1.2.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.2.2
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is the default now
  * Replace transitional python3-tz dependency with python3-pytz
  * Add debian/salsa-ci.yml
  * Rewrite d/watch in v5 format

  [ Chris Lamb ]
  * make the build reproducible (Closes: #1120352)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Dec 2025 07:30:36 +0100

=== debian/control ===
Source: dateparser
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Antoine Beaupré <anarcat@debian.org>,
 Andrey Rakhmatullin <wrar@debian.org>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 locales-all <!nocheck>,
 python3-all,
 python3-convertdate <!nocheck>,
 python3-coverage <!nocheck>,
 python3-dateutil <!nocheck>,
 python3-fasttext <!nocheck>,
 python3-langdetect <!nocheck>,
 python3-parameterized <!nocheck>,
 python3-parsel <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytz <!nocheck>,
 python3-regex <!nocheck>,
 python3-requests <!nocheck>,
 python3-ruamel.yaml <!nocheck>,
 python3-setuptools,
 python3-tzlocal <!nocheck>,
 tzdata-legacy <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/scrapinghub/dateparser
Vcs-Git: https://salsa.debian.org/python-team/packages/dateparser.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dateparser

Package: python3-dateparser
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-convertdate,
Suggests:
 python3-fasttext,
 python3-langdetect,
Description: Python parser for human readable dates
 dateparser provides modules to easily parse localized dates in almost
 any string formats commonly found on web pages.
 .
  * Generic parsing of dates in over 200 language locales plus
    numerous formats in a language agnostic fashion.
  * Generic parsing of relative dates like: '1 min ago', '2 weeks
    ago', '3 months, 1 week and 1 day ago', 'in 2 days', 'tomorrow'.
  * Generic parsing of dates with time zones abbreviations or UTC
    offsets like: 'August 14, 2015 EST', 'July 4, 2013 PST', '21 July
    2013 10:15 pm +0500'.
  * Date lookup in longer texts.
  * Support for non-Gregorian calendar systems.
  * Extensive test coverage.

=== debian/rules ===
#!/usr/bin/make -f

export TZ=UTC
export PYBUILD_NAME=dateparser
export PYBUILD_BEFORE_TEST=cp -r {dir}/dateparser_data/ {build_dir}
export PYBUILD_TEST_ARGS=tests \
    -k 'not test_dateparser_data_integrity and not test_custom_language_detect_fast_text'
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/dateparser_data/

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

execute_after_dh_auto_install:
	rm -r debian/python3-dateparser/usr/lib/python3.*/dist-packages/dateparser_scripts/

=== debian/tests/control ===
# this could be done with `tox`, but it fails to correctly upgrade the
# requirements which makes the build fail. this was reported as a bug
# upstream in <https://github.com/scrapinghub/dateparser/issues/489>.
Tests:
 run-unittests,
Depends:
 build-essential,
 locales-all,
 python3-all,
 python3-convertdate,
 python3-coverage,
 python3-fasttext,
 python3-langdetect,
 python3-parameterized,
 python3-parsel,
 python3-pytest,
 python3-requests,
 python3-ruamel.yaml,
 tzdata-legacy,
 @,
Restrictions:
 allow-stderr,
